package fabrik.simulator.pic16f84.interfaces;

import com.gluonhq.charm.glisten.control.ToggleButtonGroup;
import javafx.scene.shape.Circle;

import java.io.IOException;

public interface IOPortInterface extends PICComponentInterface {
    void resetTRIS();

    void setRegister(int i, int content);

    void clearBit(int i, int bit);

    void setBit(int i, int bit);

    void setPORTfromUI(ToggleButtonGroup parent) throws IOException;

    void setTRISfromUI(ToggleButtonGroup parent) throws IOException;

    void refreshUI(ToggleButtonGroup[] triSbuttons, ToggleButtonGroup[] porTbuttons);

    void reset();

    void setLEDs(Circle[] allLEDsA, Circle[] allLEDsB);

    void setLEDs(boolean[] booleans);
}
